Webhook subscriptions
Create and disable webhook subscriptions for Zapier and Make.com.
Last updated:
These endpoints are designed for automation providers, but you can also use them directly if you want Twentybaan to push events to your system. For how webhook payloads are signed and delivered, see the Webhooks guide.
Subscribe (Zapier)
Create a new Zapier webhook subscription for one event.
Required attributes
- Name
target_url- Type
- string
- Description
- The URL that should receive webhook deliveries.
- Name
event- Type
- string
- Description
- Event name (for example
listing.published).
Optional attributes
- Name
zap_id- Type
- string
- Description
- Provider reference id for debugging/traceability.
Required scope
OAuth tokens must include webhooks:manage.
Request
curl https://api.twentybaan.com/v1/providers/zapier/hooks/subscribe/ \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_url":"https://example.com/webhooks/twentybaan","event":"listing.published"}'Response
{
"ok": true,
"id": 123
}Unsubscribe (Zapier)
Disable an existing Zapier webhook subscription by id.
Required attributes
- Name
id- Type
- integer
- Description
- The subscription id to disable.
Errors
Returns 404 if the subscription does not exist, is not owned by the user, or is not a Zapier subscription.
Request
curl https://api.twentybaan.com/v1/providers/zapier/hooks/unsubscribe/ \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":123}'Response
{
"ok": true
}Subscribe (Make.com)
Create a new Make.com webhook subscription for one event.
Required attributes
- Name
target_url- Type
- string
- Description
- The URL that should receive webhook deliveries.
- Name
event- Type
- string
- Description
- Event name (for example
contact_message.created).
Optional attributes
- Name
scenario_id- Type
- string
- Description
- Provider reference id for debugging/traceability.
Required scope
OAuth tokens must include webhooks:manage.
Request
curl https://api.twentybaan.com/v1/providers/make/hooks/subscribe/ \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"target_url":"https://example.com/webhooks/twentybaan","event":"contact_message.created"}'Response
{
"ok": true,
"id": 123
}Unsubscribe (Make.com)
Disable an existing Make.com webhook subscription by id.
Required attributes
- Name
id- Type
- integer
- Description
- The subscription id to disable.
Errors
Returns 404 if the subscription does not exist, is not owned by the user, or is not a Make subscription.
Request
curl https://api.twentybaan.com/v1/providers/make/hooks/unsubscribe/ \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":123}'Response
{
"ok": true
}